<template lang="pug">
.row
  .col-12.b-clickable(@click='toggle()')
    .row.no-gutters.align-items-center.mb-1
      .col-auto
        i.fa.fa-caret-right.text-muted.mr-2.align-middle(ref='caret')
      .col(ref='header')
        slot(name='header' v-bind='{ isExpanded, counter }')
          h5.m-0.p-0 {{ title }}
      .col-auto.ml-auto(v-if='!$butils.isNil(counter)')
        span.align-middle.badge.badge-pill.badge-secondary {{ counter }}
  .col-12
    AnimBlock(anim='height')
      .row.ml-4(ref='content' v-show='isExpanded')
        slot(v-bind='{ isExpanded, counter }')
</template>

<script>

export { default } from "./BaseCollapsible.vue.js";

</script>
